Update One Address
curl --request PUT \
--url https://api.upwell.com/api/rest/addresses/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"input": {
"canonicalAddressId": "<string>",
"city": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"contactId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "<string>",
"id": "<string>",
"locationCodeId": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"zipOrPostalCode": "<string>"
}
}
'import requests
url = "https://api.upwell.com/api/rest/addresses/{id}"
payload = {
"id": "<string>",
"input": {
"canonicalAddressId": "<string>",
"city": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"contactId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "<string>",
"id": "<string>",
"locationCodeId": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"zipOrPostalCode": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
input: {
canonicalAddressId: '<string>',
city: '<string>',
companyId: '<string>',
companyName: '<string>',
contactId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
customerId: '<string>',
id: '<string>',
locationCodeId: '<string>',
name: '<string>',
phoneNumber: '<string>',
stateOrProvince: '<string>',
streetLine1: '<string>',
streetLine2: '<string>',
streetLine3: '<string>',
updatedAt: '2023-11-07T05:31:56Z',
zipOrPostalCode: '<string>'
}
})
};
fetch('https://api.upwell.com/api/rest/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updateAddress": {
"city": "<string>",
"companyName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"zipOrPostalCode": "<string>"
}
}Addresses
Update One Address
Update an address by ID
PUT
/
api
/
rest
/
addresses
/
{id}
Update One Address
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"id" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for PUT /api/rest/addresses/{id}
columns and relationships of "addresses"
Show child attributes
Show child attributes
āI

